Bug 24866 - Jaz Drive attached through PCMCIA SCSI not recognized under RedHat 7.0
Jaz Drive attached through PCMCIA SCSI not recognized under RedHat 7.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-24 12:13 EST by CJeness
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CJeness 2001-01-24 12:13:41 EST
I have an Adaptec Slim SCSI card which (module aha152x_cs) with an 
attached 2 Gb Jaz drive.  When I boot, the SCSI adapter is
ALWAYS recognized, but the attached Jaz drive is only 
recognized as SDA4 some of the time.   I make this determination based on
what is
logged to the messages and whether or not I can mount the file system.

Shutting down and changing the
card slots seems to help.  The computer is an IBM ThinkPad 1472i.
This all worked properly under RedHat 6.2.  I have a similar 
problem with the PCMCIA network card and others have created
a bug in the bugzilla database.  Perhaps the problems are 
related.  Any workarounds would be greatly appreciated 
since I use my Jaz drive as a backup device and it has been
essentially inoperative since the upgrade to RedHat 7.0.

The common thread for both problems is "pcmcia" and the upgrade to RedHat
7.0.
Comment 1 Arjan van de Ven 2001-02-01 07:50:53 EST
A couple of questions:
1) Can you give me the output of "lsmod" for the "success" case and for the   
"failure" case ?
2) In the failure-case, can you give me the output (probably in dmesg and/or in
  /var/log/messages) of the scsi bus probe the adaptec driver spews out ?

(by "give" I mean: please paste into the "comments" box of this bug")
Comment 2 CJeness 2001-02-01 09:45:41 EST
Just to reiterate the problem which began appearing only after I upgraded from
RedHat 6.2 to RedHat 7.0:  

1.  In the case of my PCMCIA network card (Linksys 10/100), it is necessary to
switch it between slots after boot in order to make it work.  It does not matter
whether it starts in the top slot or the bottom slot.  It must be switched.  

2.  In the case of my PCMCIA SCSI card, the card is recognized regardless of the
slot; however, the attached device is only recognized if I put the card in the
bottom slot.

3.  If I leave the SCSI card out entirely so that I can do the switch to get the
network card working and then insert the SCSI card in the bottom slot, then the
SCSI card is recognized but not the attached device.  I have tried manually
issuing the command "./scsi start sda", but this does not work.  

--------------------------------------------------------------------
Here are the dmesg from a SUCCESSFUL attempt with the SCSI card in the bottom
slot:

Linux version 2.2.16-22 (root@porky.devel.redhat.com) (gcc version egcs-2.91.66
19990314/Linux (egcs-1.1.2 release)) #1 Tue Aug 22 16:49:06 EDT 2000
Detected 365819 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 730.73 BogoMIPS
Memory: 192648k/196544k available (1048k kernel code, 412k reserved, 2372k data,
64k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 262144 (order 8, 1024k)
Page cache hash table entries: 65536 (order 6, 256k)
VFS: Diskquotas version dquot_6.4.0 initialized
CPU: Intel Mobile Pentium II stepping 0a
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xf0200
PCI: Using configuration type 1
PCI: Probing PCI hardware
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 262144 bhash 65536)
Linux IP multicast router 0.06 plus PIM-SM
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x0f (Driver version 1.13)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
PCI_IDE: unknown IDE controller on PCI bus 00 device 78, VID=10b9, DID=5229
PCI_IDE: not 100% native mode: will probe irqs later
PCI_IDE: simplex device:  DMA disabled
ide0: PCI_IDE Bus-Master DMA disabled (BIOS)
PCI_IDE: simplex device:  DMA disabled
ide1: PCI_IDE Bus-Master DMA disabled (BIOS)
hda: IBM-DBCA-206480, ATA DISK drive
hdc: MATSHITADVD-ROM SR-8171, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: IBM-DBCA-206480, 6194MB w/420kB Cache, CHS=789/255/63
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :   813.816 MB/sec
   p5_mmx    :   854.583 MB/sec
   8regs     :   628.269 MB/sec
   32regs    :   352.044 MB/sec
using fastest function: p5_mmx (854.583 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 64k freed
Adding Swap: 409616k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-ohci.c: USB OHCI at membase 0xcc053000, IRQ 10
usb.c: new USB bus registered, assigned bus number 1
usb.c: USB new device connect, assigned device number 1
hub.c: USB hub found
hub.c: 2 ports detected
solo1: version v0.11 time 16:52:42 Aug 22 2000
solo1: ddma base address: 0x7870
solo1: joystick port at 0x78a5
Linux PCMCIA Card Services 3.1.19
  kernel build: 2.2.16-22 #1 Tue Aug 22 16:49:06 EDT 2000
  options:  [pci] [cardbus] [apm]
PCI routing table version 1.0 at 0xfbad0
  00:13.0 -> irq 9
  00:13.1 -> irq 9
Intel PCIC probe: 
  O2Micro OZ6832/33 rev 34 PCI-to-CardBus at slot 00:13, mem 0x68000000
    host opts [0]: [ring] [pci/way] [pci irq 9] [lat 32/176] [bus 32/34]
    host opts [1]: [ring] [pci/way] [pci irq 9] [lat 32/176] [bus 35/37]
    ISA irqs (default) = 3,4,7,11,12 PCI status changes
cs: IO port probe 0x0c00-0x0cff: excluding 0xcf8-0xcff
cs: IO port probe 0x0800-0x08ff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x3b8-0x3df 0x408-0x40f 0x480-0x48f
0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
eth0: pcnet_reset_8390() did not complete.
pcnet_cs: unable to read hardware net address for io base 0x300
aha152x: processing commandline: ok
aha152x: BIOS test: passed, detected 1 controller(s)
aha152x0: vital data: PORTBASE=0x340, IRQ=7, SCSI ID=7, reconnect=enabled,
parity=enabled, synchronous=disabled, delay=100, extended translation=disabled
aha152x: trying software interrupt, ok.
scsi0 : Adaptec 152x SCSI driver; $Revision: 1.7 $
scsi : 1 host.
  Vendor: iomega    Model: jaz 2GB           Rev: E.17
  Type:   Direct-Access                      ANSI SCSI revision: 02
Detected scsi removable disk sda at scsi0, channel 0, id 4, lun 0
SCSI device sda: hdwr sector= 512 bytes. Sectors= 3915600 [1911 MB] [1.9 GB]
sda: Write Protect is off
 sda: sda4

lsmod---------------
Module                  Size  Used by
aha152x_cs             24676   0 
pcnet_cs               10320   0  (unused)
8390                    6072   0  [pcnet_cs]
ds                      6280   2  [aha152x_cs pcnet_cs]
i82365                 21668   2 
pcmcia_core            44160   0  [aha152x_cs pcnet_cs ds i82365]
lockd                  31176   1  (autoclean)
sunrpc                 52964   1  (autoclean) [lockd]
esssolo1               21548   0 
soundcore               2596   4  [esssolo1]
usb-ohci               12360   0  (unused)
usbcore                42088   1  [usb-ohci]
-----------------------------------------------------------------

Here is the same information from an UNSUCCESSFUL attempt with the SCSI card in
the top slot:

Linux version 2.2.16-22 (root@porky.devel.redhat.com) (gcc version egcs-2.91.66
19990314/Linux (egcs-1.1.2 release)) #1 Tue Aug 22 16:49:06 EDT 2000
Detected 365818 kHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 730.73 BogoMIPS
Memory: 192648k/196544k available (1048k kernel code, 412k reserved, 2372k data,
64k init, 0k bigmem)
Dentry hash table entries: 262144 (order 9, 2048k)
Buffer cache hash table entries: 262144 (order 8, 1024k)
Page cache hash table entries: 65536 (order 6, 256k)
VFS: Diskquotas version dquot_6.4.0 initialized
CPU: Intel Mobile Pentium II stepping 0a
Checking 386/387 coupling... OK, FPU using exception 16 error reporting.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.35a (19990819) Richard Gooch (rgooch@atnf.csiro.au)
PCI: PCI BIOS revision 2.10 entry at 0xf0200
PCI: Using configuration type 1
PCI: Probing PCI hardware
Linux NET4.0 for Linux 2.2
Based upon Swansea University Computer Society NET3.039
NET4: Unix domain sockets 1.0 for Linux NET4.0.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
TCP: Hash tables configured (ehash 262144 bhash 65536)
Linux IP multicast router 0.06 plus PIM-SM
Initializing RT netlink socket
Starting kswapd v 1.5 
Detected PS/2 Mouse Port.
Serial driver version 4.27 with MANY_PORTS MULTIPORT SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
pty: 256 Unix98 ptys configured
apm: BIOS version 1.2 Flags 0x0f (Driver version 1.13)
Real Time Clock Driver v1.09
RAM disk driver initialized:  16 RAM disks of 4096K size
PCI_IDE: unknown IDE controller on PCI bus 00 device 78, VID=10b9, DID=5229
PCI_IDE: not 100% native mode: will probe irqs later
PCI_IDE: simplex device:  DMA disabled
ide0: PCI_IDE Bus-Master DMA disabled (BIOS)
PCI_IDE: simplex device:  DMA disabled
ide1: PCI_IDE Bus-Master DMA disabled (BIOS)
hda: IBM-DBCA-206480, ATA DISK drive
hdc: MATSHITADVD-ROM SR-8171, ATAPI CDROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: IBM-DBCA-206480, 6194MB w/420kB Cache, CHS=789/255/63
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
md driver 0.90.0 MAX_MD_DEVS=256, MAX_REAL=12
raid5: measuring checksumming speed
raid5: MMX detected, trying high-speed MMX checksum routines
   pII_mmx   :   813.816 MB/sec
   p5_mmx    :   854.583 MB/sec
   8regs     :   628.269 MB/sec
   32regs    :   352.044 MB/sec
using fastest function: p5_mmx (854.583 MB/sec)
scsi : 0 hosts.
scsi : detected total.
md.c: sizeof(mdp_super_t) = 4096
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 64k freed
Adding Swap: 409616k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-ohci.c: USB OHCI at membase 0xcc053000, IRQ 10
usb.c: new USB bus registered, assigned bus number 1
usb.c: USB new device connect, assigned device number 1
hub.c: USB hub found
hub.c: 2 ports detected
solo1: version v0.11 time 16:52:42 Aug 22 2000
solo1: ddma base address: 0x7870
solo1: joystick port at 0x78a5
Linux PCMCIA Card Services 3.1.19
  kernel build: 2.2.16-22 #1 Tue Aug 22 16:49:06 EDT 2000
  options:  [pci] [cardbus] [apm]
PCI routing table version 1.0 at 0xfbad0
  00:13.0 -> irq 9
  00:13.1 -> irq 9
Intel PCIC probe: 
  O2Micro OZ6832/33 rev 34 PCI-to-CardBus at slot 00:13, mem 0x68000000
    host opts [0]: [ring] [pci/way] [pci irq 9] [lat 32/176] [bus 32/34]
    host opts [1]: [ring] [pci/way] [pci irq 9] [lat 32/176] [bus 35/37]
    ISA irqs (default) = 3,4,7,11,12 PCI status changes
cs: IO port probe 0x0c00-0x0cff: excluding 0xcf8-0xcff
cs: IO port probe 0x0800-0x08ff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x3b8-0x3df 0x408-0x40f 0x480-0x48f
0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
aha152x: processing commandline: 
aha152x: PCMCIA setup
aha152x: invalid line (controller=1)
ok
aha152x: BIOS test: passed, detected 1 controller(s)
aha152x0: vital data: PORTBASE=0x340, IRQ=7, SCSI ID=7, reconnect=enabled,
parity=enabled, synchronous=disabled, delay=100, extended translation=disabled
aha152x: trying software interrupt, ok.
scsi0 : Adaptec 152x SCSI driver; $Revision: 1.7 $
scsi : 1 host.

lsmod ------------------------------

Module                  Size  Used by
aha152x_cs             24676   0  (unused)
ds                      6280   2  [aha152x_cs]
i82365                 21668   2 
pcmcia_core            44160   0  [aha152x_cs ds i82365]
lockd                  31176   1  (autoclean)
sunrpc                 52964   1  (autoclean) [lockd]
esssolo1               21548   0 
soundcore               2596   4  [esssolo1]
usb-ohci               12360   0  (unused)
usbcore                42088   1  [usb-ohci]
Comment 3 Arjan van de Ven 2001-02-02 05:49:10 EST
Thank you for the information.
The part that says
aha152x: PCMCIA setup
aha152x: invalid line (controller=1)
in the failure case is suspicious, and I'll look into that first.
Comment 4 Arjan van de Ven 2001-02-02 08:41:57 EST
There are a dozen reasons this can fail, and the driver "forgets" to inform
us which one of those it is. One idea: Could you try to install the
(updated) 6.2 kernel (2.2.16-4 iirc) with the appropriate pcmcia-cs package, on
your 7.0 machine ?
Comment 5 CJeness 2001-02-02 10:19:24 EST
I don't mind trying things to help debug the problem if you can give me some
guidance as to how to get started on what you are suggesting.   I am primarily a
linux "user" and most of my operating system experience is with AIX and
Solaris.  Also, my ultimate goal is to be able to run the 2.4 kernel in the hope
that eventually I will be able to take advantage of my USB port and connect to
my USB devices.
Comment 6 Arjan van de Ven 2001-02-05 08:40:26 EST
There is a 2.4 kernel in the fisher beta, (also available as separate download
from ftp.redhat.com in the pub/rawhide directory). If you decide to take the
risk (fisher is a beta, disclaimers apply), you will also need the following
packages:
* mkinitrd-3.0.5-2.i386.rpm
* kernel-pcmcia-cs-3.1.23-0.4.i386.rpm
* initscripts-5.60-1.i386.rpm 
* gettext-0.10.35-28.i386.rpm
and possibly ypbind-1.7-4.i386.rpm
(and maybe 1 more dependency, it has been a > week since I did this)
Comment 7 CJeness 2001-02-05 12:29:00 EST
Is RedHat planning a new distribution which includes the 2.4 kernel properly
tested anytime soon; i.e., during the month of February?  If  so, I would
probably wait and just puchase a new distribution that has been more fully
tested.  So will there be a RedHat 7.1 soon?
Comment 8 Arjan van de Ven 2001-02-05 12:35:09 EST
I cannot comment on release-dates.
Comment 9 Bugzilla owner 2004-09-30 11:38:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.